Contents Previous Next

## Image

- Description: Identifies an image
- Properties: !Multiline, !FreeSpaces, Align, !Nesting
- Contains: Macros
- Syntax:
  - An image filename enclosed between brackets, `[likethis.jpg]`
  - The filename must end in an image extension like PNG, JPG, GIF, ... (case doesn't matter)
  - Symbols are allowed on the filename, `[likethis!~1.jpg]`
  - Macros are allowed on the filename, `[report-%%date(%Y-%m-%d).png]`
  - NO spaces allowed on the filename, `[like this.jpg]`
  - NO spaces allowed on the brackets, `[ likethis.jpg ]`
- Details:
  - If the target does not have image support, the image filename is shown inside (parenthesis).
  - The position of the mark on the line defines the image alignment:
    - `[LEFT.jpg]` blablablabla
    - blablablabla `[CENTER.jpg]` blablablabla
    - blablablabla `[RIGHT.jpg]`

Contents Previous Next